| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Static Public Member Functions | Private Attributes | List of all members
Gaudi::Parsers::PositionalPropertyValueException Class Reference

`#include <src/JobOptionsSvc/PropertyValue.h>`

Inheritance diagram for Gaudi::Parsers::PositionalPropertyValueException:
[legend]
Collaboration diagram for Gaudi::Parsers::PositionalPropertyValueException:
[legend]

## Public Member Functions
| PositionalPropertyValueException (const Position &position, const std::string &message)
const Position & | position () const
virtual | ~PositionalPropertyValueException () throw ()
Public Member Functions inherited from std::runtime_error
T | runtime_error (T... args)
T | what (T... args)
Public Member Functions inherited from std::exception
T | what (T... args)
T | ~exception (T... args)
T | operator= (T... args)
T | exception (T... args)

## Static Public Member Functions
static PositionalPropertyValueException | CouldNotFind (const Position &position, const std::string &name)
static PositionalPropertyValueException | CouldNotFindProperty (const Position &position, const std::string &name)
static PositionalPropertyValueException | CouldNotFindUnit (const Position &position, const std::string &name)

## Private Attributes
Position | position_

## Detailed Description

Definition at line 77 of file PropertyValue.h.

## Constructor & Destructor Documentation

## ◆ PositionalPropertyValueException()

Gaudi::Parsers::PositionalPropertyValueException::PositionalPropertyValueException | ( | const Position & | position,
|  | const std::string & | message
| ) |  |
| inline

Definition at line 79 of file PropertyValue.h.

80 : std::runtime_error( message ), position_( position ) {}
std::runtime_error
STL class.
Gaudi::Parsers::PositionalPropertyValueException::position_
Position position_
Definition: PropertyValue.h:99
Gaudi::Parsers::PositionalPropertyValueException::position
const Position & position() const
Definition: PropertyValue.h:81

## ◆ ~PositionalPropertyValueException()

virtual Gaudi::Parsers::PositionalPropertyValueException::~PositionalPropertyValueException | ( |  | ) |
throw | ( |
| ) |  |
| inline virtual

Definition at line 96 of file PropertyValue.h.

96 {}

## Member Function Documentation

## ◆ CouldNotFind()

static PositionalPropertyValueException Gaudi::Parsers::PositionalPropertyValueException::CouldNotFind | ( | const Position & | position,
|  | const std::string & | name
| ) |  |
| inline static

Definition at line 83 of file PropertyValue.h.

83 {
84 return PositionalPropertyValueException( position, "Could not find property " + name + "." );
85 }
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41
Gaudi::Parsers::PositionalPropertyValueException::PositionalPropertyValueException
PositionalPropertyValueException(const Position &position, const std::string &message)
Definition: PropertyValue.h:79
Gaudi::Parsers::PositionalPropertyValueException::position
const Position & position() const
Definition: PropertyValue.h:81

## ◆ CouldNotFindProperty()

static PositionalPropertyValueException Gaudi::Parsers::PositionalPropertyValueException::CouldNotFindProperty | ( | const Position & | position,
|  | const std::string & | name
| ) |  |
| inline static

Definition at line 87 of file PropertyValue.h.

88 {
89 return PositionalPropertyValueException( position, "Could not find property '" + name + "'." );
90 }
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41
Gaudi::Parsers::PositionalPropertyValueException::PositionalPropertyValueException
PositionalPropertyValueException(const Position &position, const std::string &message)
Definition: PropertyValue.h:79
Gaudi::Parsers::PositionalPropertyValueException::position
const Position & position() const
Definition: PropertyValue.h:81

## ◆ CouldNotFindUnit()

static PositionalPropertyValueException Gaudi::Parsers::PositionalPropertyValueException::CouldNotFindUnit | ( | const Position & | position,
|  | const std::string & | name
| ) |  |
| inline static

Definition at line 92 of file PropertyValue.h.

92 {
93 return PositionalPropertyValueException( position, "Could not find unit '" + name + "'." );
94 }
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41
Gaudi::Parsers::PositionalPropertyValueException::PositionalPropertyValueException
PositionalPropertyValueException(const Position &position, const std::string &message)
Definition: PropertyValue.h:79
Gaudi::Parsers::PositionalPropertyValueException::position
const Position & position() const
Definition: PropertyValue.h:81

## ◆ position()

const Position& Gaudi::Parsers::PositionalPropertyValueException::position | ( |  | ) | const
| inline

Definition at line 81 of file PropertyValue.h.

81 { return position_; }
Gaudi::Parsers::PositionalPropertyValueException::position_
Position position_
Definition: PropertyValue.h:99

## Member Data Documentation

## ◆ position_

Position Gaudi::Parsers::PositionalPropertyValueException::position_
| private

Definition at line 99 of file PropertyValue.h.

The documentation for this class was generated from the following file:

- GaudiCoreSvc/src/JobOptionsSvc/PropertyValue.h